Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLMessageInfoContextIDFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLMessageInfoContextIDFunction

All Implemented Interfaces:
  `Function<SAMLMessageInfoContext,String>`, `ContextDataLookupFunction<SAMLMessageInfoContext,String>`

public class SAMLMessageInfoContextIDFunction extends Object implements ContextDataLookupFunction<SAMLMessageInfoContext,String>
`ContextDataLookupFunction` that returns `SAMLMessageInfoContext.getMessageId()`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMessageInfoContextIDFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(SAMLMessageInfoContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLMessageInfoContextIDFunction

public SAMLMessageInfoContextIDFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable SAMLMessageInfoContext input)

Specified by:
  `apply` in interface `Function<SAMLMessageInfoContext,String>`